#
# spec file for package lifecycle-data-sle-module-toolchain
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lifecycle-data-sle-module-python3
Version:        1
Release:        150400.9.6.1
Summary:        SLE Python3 Module Lifecycle Data
License:        GPL-2.0+
Group:          System/Management
Url:            http://www.suse.com/lifecycle
Source:         COPYING
Source1:        sle-module-python3.lifecycle
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Supplements: 	sle-module-python3-release zypper-lifecycle-plugin

%description
Package lifecycle data for the Python3 Module.

This is the source of zypper lifecycle information.

%prep

%build

%install
mkdir -pv %{buildroot}/usr/share/lifecycle/data
install -m 644 %{SOURCE0} COPYING
install -m 644 %{SOURCE1}  %{buildroot}/usr/share/lifecycle/data/sle-module-python3.lifecycle

%files
%defattr(-,root,root)
%license COPYING
%dir /usr/share/lifecycle
%dir /usr/share/lifecycle/data
/usr/share/lifecycle/data/sle-module-python3.lifecycle

%changelog
* Thu May  8 2025 dmueller@suse.com
- document python312 and python313 lifecycle (jsc#PED-12726)
- extend python311 lifecycle (jsc#PED-12726)
* Fri Oct 27 2023 meissner@suse.com
- Initial python3 module lifecycle data
